enrollPlayer
POST
/api/v1/player/enroll
const url = 'https://example.com/api/v1/player/enroll';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"pairingSessionId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","enrollmentToken":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/player/enroll \ --header 'Content-Type: application/json' \ --data '{ "pairingSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "enrollmentToken": "example" }'Redeem a one-time enrollment token for the permanent device credential, returned exactly once. The enrollment token authenticates this call.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
pairingSessionId
required
string format: uuid
enrollmentToken
required
string
Examplegenerated
{ "pairingSessionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "enrollmentToken": "example"}Responses
Section titled “ Responses ”Device credential returned exactly once
Media typeapplication/json
object
data
required
object
screenId
required
string format: uuid
screenName
required
string
deviceCredential
required
Permanent device credential, returned exactly once.
string
Examplegenerated
{ "data": { "screenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "screenName": "example", "deviceCredential": "example" }}Enrollment token already used